Subject: Re: cygcheck -l or -c broken in snapshots
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Sun, 27 Feb 2005 21:05:11 -0800

On Thu, Aug 26, 2004 at 10:43:30PM +0200, Corinna Vinschen wrote:
> On Aug 26 12:26, Yitzchak Scott-Thoennes wrote:
> > Using cygcheck from the 20040825 snapshot, I get
> > 
> > $ cygcheck -lv cygwin
> > Can't open file list /etc/setup/cygwin.lst.gz for package cygwin
> 
> Thanks for the heads up.  I've screwed my build system.  I'm in the process
> of correcting that so the next snapshot should behave ok again.

I'm seeing this again with the 20050221 and 20050225 snapshots
(Corinna's), but not 20050219 or 20050226 (Christopher's).

I also notice some interesting variation in which files are included:

$ perl snapfiles.pl cygwin-inst-20050219.tar.bz2
cygwin:
   all but /usr/share/info/libc.info
no package:
   /usr/include/cygwin/utmp.h
   /usr/include/sys/string.h
   /usr/include/utmpx.h

sthoenna@DHX98431 ~/dl
$ perl snapfiles.pl cygwin-inst-20050221.tar.bz2
binutils:
   /usr/lib/libiberty.a
cygwin:
   all but /usr/bin/dumper.exe
libiconv:
   /usr/include/iconv.h
mingw-runtime:
   all
no package:
   /usr/include/cygwin/utmp.h
   /usr/include/sys/string.h
   /usr/include/unctrl.h
   /usr/include/utmpx.h
w32api:
   all but /usr/include/w32api/DbgHelp.h

$ perl snapfiles.pl cygwin-inst-20050225.tar.bz2
binutils:
   /usr/lib/libiberty.a
cygwin:
   all but /usr/bin/dumper.exe
libiconv:
   /usr/include/iconv.h
mingw-runtime:
   all
no package:
   /usr/include/cygwin/utmp.h
   /usr/include/libgen.h
   /usr/include/sys/statvfs.h
   /usr/include/sys/string.h
   /usr/include/unctrl.h
   /usr/include/utmpx.h
w32api:
   all but /usr/include/w32api/DbgHelp.h

$ perl snapfiles.pl cygwin-inst-20050226.tar.bz2
cygwin:
   all
no package:
   /usr/include/cygwin/utmp.h
   /usr/include/libgen.h
   /usr/include/sys/statvfs.h
   /usr/include/sys/string.h
   /usr/include/utmpx.h

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/